// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/18AISS8AO8/18AISS8AO8_1.x_GSC_DN/api/write.c $
// $Rev: 44666 $
// $Date: 2019-04-04 16:05:24 -0500 (Thu, 04 Apr 2019) $

// 18AISS8AO8: API Library: source file

#include "main.h"



//*****************************************************************************
// Return Values:
//	>=0	= success, the number of bytes transferred
//	<0  = failure, value is -errno or -GetLastError (Windows only)
int aiss8ao8_write(int fd, const void* src, size_t bytes)
{
	int	ret;

	if (bytes > GSC_IO_SIZE_QTY_MASK)
		bytes	= GSC_IO_SIZE_QTY_MASK & ~0x3;

	bytes	|= STREAM_ID_TX;
	ret		= gsc_api_write(fd, src, bytes);
	return(ret);
}


