// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/18AISS8AO8/18AISS8AO8_1.x_GSC_DN/include/18aiss8ao8_dsl.h $
// $Rev: 51966 $
// $Date: 2022-10-26 10:35:15 -0500 (Wed, 26 Oct 2022) $

// 18AISS8AO8: Document Source Library: header file

#ifndef	__18AISS8AO8_DSL_H__
#define	__18AISS8AO8_DSL_H__

#include <stdlib.h>

#include "18aiss8ao8_api.h"



// prototypes *****************************************************************

int	aiss8ao8_close_dsl	(int fd);
int	aiss8ao8_init_dsl	(void);
int	aiss8ao8_ioctl_dsl	(int fd, int request, void *arg);
int	aiss8ao8_open_dsl	(int device, int share, int* fd);
int	aiss8ao8_read_dsl	(int fd, void* dst, size_t bytes, size_t* qty);
int	aiss8ao8_write_dsl	(int fd, const void* src, size_t bytes, size_t* qty);



#endif
