// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/18AISS8AO8/18AISS8AO8_1.x_GSC_DN/utils/count.c $
// $Rev: 52611 $
// $Date: 2023-03-10 14:47:31 -0600 (Fri, 10 Mar 2023) $

// 18AISS8AO8: Utilities: source file

#include "main.h"



/******************************************************************************
*
*	Function:	aiss8ao8_count_boards
*
*	Purpose:
*
*		Count the number of installed devices.
*
*	Arguments:
*
*		verbose	Work verbosely?
*
*		get		The count is returned here.
*
*	Returned:
*
*		>= 0	The number of errors encounterred.
*
******************************************************************************/

int aiss8ao8_count_boards(int verbose, s32* get)
{
	int	errs;

	errs	= os_count_boards(verbose, get, aiss8ao8_open, aiss8ao8_read, aiss8ao8_close);
	return(errs);
}



