// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/18AISS8AO8/18AISS8AO8_1.x_GSC_DN/samples/aout/main.h $
// $Rev: 52614 $
// $Date: 2023-03-10 14:51:00 -0600 (Fri, 10 Mar 2023) $

// 18AISS8AO8: Sample Application: header file

#ifndef	__MAIN_H__
#define	__MAIN_H__

#include <ctype.h>
#include <limits.h>
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>

#include "18aiss8ao8_main.h"



// macros *********************************************************************

#define	SIZEOF_ARRAY(a)			(sizeof((a)) / sizeof((a)[0]))



// data types *****************************************************************

typedef struct
{
	// Application Settings

	s32	continuous;
	s32	index;
	s32	minute_limit;
	s32	seconds;
	s32	test_limit;

	int	fd;

	// Device Settings

	s32	io_mode;
	s32	master_clock;
	s32	rate;
} args_t;



// prototypes *****************************************************************

int	perform_tests(const args_t* args);



#endif
